<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ezhizao.project.business.mapper.BizDayworkQualifiedMapper">

    <resultMap type="cn.ezhizao.project.business.domain.BizDayworkQualified" id="BizDayworkQualifiedResult">
        <id column="id" property="id"/>
    </resultMap>


    <select id="getList" parameterType="BizDayworkQualified" resultMap="BizDayworkQualifiedResult">
        SELECT * FROM biz_daywork_qualified
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            deleted = 0
            <if test="processQualifiedNum != null "> AND process_qualified_num = #{processQualifiedNum}</if>
            <if test="temporaryProcessQualifiedNum != null "> AND temporary_process_qualified_num = #{temporaryProcessQualifiedNum}</if>
            <if test="status != null "> AND status = #{status}</if>
        </trim>
    </select>

    <delete id="physicalDelete">
        DELETE FROM biz_daywork_qualified
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            <if test="id != null">
                id = #{id} AND
            </if>
       <!-- 删除条件为其他外键可以在这里加 -->
        </trim>
    </delete>
</mapper>
